Storage Automated Diagnostic Environment
Patch 114590-18 Release Notes

Part Number: 817-0822-10 
Nov/06/03

=========================


READ BEFORE USING THIS REVISION

The Release Notes contain information specific to this 
revision. This information is not elsewhere in the 
product documentation set.

The Release Notes for this product are on the product media. 
You can print them as you would any other ASCII file.


Copyright 2003 Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, CA 94303 USA. All rights reserved. 

This product or document is protected by copyright and distributed 
under licenses restricting its use, copying, distribution, and 
decompilation. No part of this product or document may be reproduced 
in any form by any means without prior written authorization of Sun 
and its licensors, if any. Third-party software, including font 
technology, is copyrighted and licensed from Sun suppliers.

Parts of the product may be derived from Berkeley BSD systems, licensed 
from the University of California. UNIX is a registered trademark in 
the U.S. and other countries, exclusively licensed through X/Open 
Company, Ltd.

Sun, Sun Microsystems, the Sun logo, AnswerBook, Sun StorEdge, Sun
StorTools, Sun StorEdge T3, and Solaris  are trademarks, registered 
trademarks, or service marks of Sun Microsystems, Inc. in the U.S. 
and other countries. All SPARC trademarks are used under license 
and are trademarks or registered trademarks of SPARC International, 
Inc. in the U.S. and  other countries. Products bearing SPARC 
trademarks are based upon an architecture developed by Sun 
Microsystems, Inc.


The OPEN LOOK and Sun(TM) Graphical User Interface was developed by 
Sun Microsystems, Inc. for its users and licensees. Sun acknowledges the 
pioneering efforts of Xerox in researching and developing the concept of 
visual or graphical user interfaces for the computer industry. Sun holds 
a non-exclusive license from Xerox to the Xerox Graphical User Interface, 
which license also covers Sun's licensees who implement OPEN LOOK 
GUIs and otherwise comply with Sun's written license agreements.

RESTRICTED RIGHTS: Use, duplication, or disclosure by the U.S. Government 
is subject to restrictions of FAR 52.227-14(g)(2)(6/87) and FAR 
52.227-19(6/87), or DFAR 252.227-7015(b)(6/95) and DFAR 227.7202-3(a).

DOCUMENTATION  IS PROVIDED "AS IS" AND ALL EXPRESS OR IMPLIED CONDITIONS, 
REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, 
ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH DISCLAIMERS ARE HELD TO 
BE LEGALLY INVALID.

Copyright 2003 Sun Microsystems, Inc., 901 San Antonio Road, 
Palo Alto, CA 94303 Etats-Unis. Tous droits reserves. 

Ce produit ou document est protege par un  copyright et distribue avec des 
licences qui en restreignent l'utilisation, la copie, la distribution, 
et la decompilation. Aucune partie de ce produit ou document ne peut etre 
reproduite sous aucune forme, par quelque moyen que ce soit, sans 
l'autorisation prealable et ecrite de Sun et de ses bailleurs de licence, 
s'il y en a. Le logiciel detenu par des tiers, et qui comprend la 
technologie relative aux polices de caracteres, est protege par un 
copyright et licencie par des fournisseurs de Sun.

Des parties de ce produit pourront etre derivees des systemes  
Berkeley BSD licencies par l'Universite de Californie. UNIX est une 
marque deposee  aux Etats-Unis et dans d'autres pays et licenciee 
exclusivement par X/Open Company, Ltd. 

Sun, Sun Microsystems, le logo Sun, AnswerBook, Sun StorEdge, Sun 
StorTools, Sun StorEdge T3, et Solaris  sont des marques de fabrique 
ou des marques deposees, ou marques de service, de Sun Microsystems, Inc. 
aux Etats-Unis et dans d'autres pays. Toutes les marques SPARC sont 
utilisees sous licence et sont des marques de fabrique ou des marques
deposees de SPARC International, Inc. aux Etats-Unis et dans d'autres 
pays.  Les produits portant les marques SPARC sont bases sur une 
architecture developpee par Sun Microsystems, Inc.

L'interface d'utilisation graphique OPEN LOOK et Sun(TM) a ete 
developpee par Sun Microsystems, Inc. pour ses utilisateurs et licencies. 
Sun reconnait les efforts de pionniers de Xerox pour la recherche et le 
developpement du concept des interfaces d'utilisation visuelle ou 
graphique pour l'industrie de l'informatique. Sun detient une licence 
non exclusive de Xerox sur l'interface d'utilisation graphique Xerox, 
cette licence couvrant egalement  les licencies de Sun qui mettent en 
place l'interface d'utilisation graphique OPEN LOOK et qui en outre se 
conforment aux licences ecrites de Sun.

CETTE PUBLICATION EST FOURNIE "EN L'ETAT" ET AUCUNE GARANTIE, 
EXPRESSE OU IMPLICITE, N'EST ACCORDEE, Y COMPRIS DES GARANTIES 
CONCERNANT LA VALEUR MARCHANDE, L'APTITUDE DE LA PUBLICATION 
A REPONDRE A UNE UTILISATION PARTICULIERE, OU LE FAIT 
QU'ELLE NE SOIT PAS CONTREFAISANTE DE PRODUIT DE TIERS. 
CE DENI DE GARANTIE NE S'APPLIQUERAIT PAS, DANS LA MESURE 
OU IL SERAIT TENU JURIDIQUEMENT NUL ET NON AVENU.


DOCUMENT STRUCTURE
==================
These Release Notes contain the following sections:

o Introduction
o Audience
o Deliverables
o Related Documentation
o Qualified Platforms
o New Features
o Installation Instructions
o Product Hints
o Known Problems
o Resolved Problems
o Media Contents


INTRODUCTION
============
The Storage Automated Diagnostic Environment 2.2 package 
provides a graphical user interface, enabling the user to remotely 
monitor and diagnose Sun storage devices.  The Agent can be used 
to collect data and analyze the condition of Sun StorEdge devices.
The Diagnostics can be used to verify the condition
of a system, identify failing FRUs and verify FRU replacement.


AUDIENCE
========
The Storage Automated Diagnostic Environment is for use by 
system administrators and support personnel 
who are familiar with Sun's disk array and SAN products.


DELIVERABLES
============
Documentation Delivered With This Product
-----------------------------------------
The following documentation is delivered with this product:

Application     Title
-----------     -----

Man Pages       6120ofdg.1m
                6120ondg.1m
		6120volverify.1m
                a3500fctest.1m
                a5ksestest.1m
                a5ktest.1m
                brocadetest.1m   
                checkcron.1m   
                clearcache.1m 
                config_solution.1m   
                d2disktest.1m        
                daksestest.1m        
                daktest.1m        
                dex.1m        
                discman.1m     
                disk_inquiry.1m 
                fcdisktest.1m     
                fctapetest.1m     
                ifptest.1m        
                lbf.1m            
                linktest.1m            
                qlctest.1m    
                ras_admin.1m 
                ras_fccheck.1m 
                ras_install.1m 
                ras_revcheck.1m
                rasagent.1m     
                sanbox.1m        
                save_password.1m  
                snapshot.1m
                socaltest.1m
                stresstest.1m
                switchtest.1m
                switch2test.1m
                t3ofdg.1m
                t3test.1m
                t3volverify.1m
                testt3.1m
                vediag.1m
                veluntest.1m
                              

User/Admin      Storage Automated Diagnostic Environment 
                2.2 User's Guide (817-0822-10)
	

                                

PRODUCT PACKAGING
=================

The Storage Automated Diagnostic Environment 2.2 software is 
distributed as an unbundled product in the pkgadd format as SUNWstade.


RELATED DOCUMENTATION
=====================

Sun StorEdge T3 and T3+ Array documentation:
    Sun StorEdge T3 and T3+ Array Start Here (816-0772-10)
    Sun StorEdge T3 and T3+ Array Installation, Operations and 
                            Service Manual (816-0773-10)
    Sun StorEdge T3 and T3+ Array Administrator's Guide (816-0776-10)
    Sun StorEdge T3 and T3+ Array Configuration Guide (816-0777-10)
    Sun StorEdge T3 and T3+ Array Site Preperation Guide (816-0778-10)
    Sun StorEdge T3 and T3+ Field Service Manual (816-0779-10)
    Sun StorEdge T3 and T3+ Array Release Notes (816-0781-12)

Sun StorEdge A5000 Array documentation:
    Sun StorEdge A5000 User's Guide (806-1946-10)
    Sun StorEdge A5000 Release Notes (806-1947-10)
    Sun StorEdge A5000 Product Note (805-1018-13)
    Sun StorEdge A5000 Configuration Guide (805-0264-15)
    Sun StorEdge A5000 Installation and Documentation Guide (805-1903-15)

Sun StorEdge PCI FC-100 Host Adapter documentation:
    Sun StorEdge PCI FC-100 Host Adapter Installation Manual (805-3682-10)

Sun StorEdge SBus FC-100 Host Adapter documentation:
    Sun StorEdge SBus FC-100 Host Adapter Installation and 
                                          Service Manual (802-7572-11)

Sun StorEdge PCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge PCI Dual Fibre Channel Host Adapter Product Notes (806-5857-10)
    Sun StorEdge PCI Dual Fibre Channel Host Adapter Installation 
                                                     Guide (806-5600-10)

Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter Product Notes (X6767A)
    Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter Installation 
                                                     Guide (X6768A)

Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter Product Notes (806-5857-10)
    Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter Installation 
                                                     Guide (806-5600-10)

Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter Product Notes 
    Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter Installation 
                                                     Guide (X6769A)


Sun StorEdge A3500/A3500FC documentation:
    Sun StorEdge A3500/A3500FC Hardware Configuratoin Guide (805-4981-13)
    Sun StorEdge A3500/A3500FC Controller Module Guide (805-4980-11)
    Sun StorEdge A3500/A3500FC Task Map (805-4982-11)

Sun StorEdge RAID Manager 6.22 documentation:
    Sun StorEdge RAID Manager 6.22 User's Guide (806-0478-10)
    Sun StorEdge RAID Manager 6.22 Release Notes (806-3721-10)

Sun StorEdge Network FC Switch-8 and Switch-16 documentation:
    Sun StorEdge Network FC Switch-8 and Switch-16 Installation and Config 
                                                   Guide (806-6922-10)
    Sun StorEdge Network FC Switch-8 and Switch-16 Field Troubleshooting 
                                                   Guide (816-0252-10)
    Sun StorEdge Network FC Switch-8 and Switch-16 Release Notes (816-0842-15)



Sun StorEdge Network 2 Gb FC Switch-8, Switch-16, and Switch-64 documentation:
    Sun StorEdge SAN 4.0 Release Guide to Documentation (816-4470-10)
    Sun StorEdge SAN 4.0 Release Installation Guide (816-4469-10)
    Sun StorEdge SAN 4.0 Release Configuration Guide (806-5513-10)
    Sun StorEdge SAN 4.0 Release Notes (816-4472-10)


McData ED6064 and ES3232 FC switches:
    The following documents may be found on the McData Website,
       http://www.mcdata.com:
     Intrepid TM 6064 Director Planning Manual
     Intrepid TM 6064 Director Manager User Manual
     SAN Plannning Guide
     Manager Software User Manual
     Command Line Interface User Manual

     This information can be found under:
       Knowledge Center Link -> Technical Documents

     Additional publications are available by means of McData's secure web
     site. Please contact webmaster@mcdata.com for access.



Sun StorEdge 3900 and 6900 Series documentation:
    Sun StorEdge 3900 and 6900 Series Reference and Service Guide (816-5253-10)
    Sun StorEdge 3900 and 6900 Series Site Perperation Guide (816-5256-10)
    Sun StorEdge 3900 and 6900 Series Regulatory and Safety Compliance 
                                      Manual ( 816-5257-10)
    Sun StorEdge 3900 and 6900 Series Installation Guide (816-5252-10) 
    Sun StorEdge 3900 and 6900 Series Troubleshooting Guide (816-5255-10)


Solaris:
    Solaris Handbook for Sun Perihperals (806-2210-10)


QUALIFIED PLATFORMS
===================
You can use the SUNWstade package on the following platforms and
operating systems:


Sun Platforms        : All Sun Sparc Solaris servers

Sun StorEdge         : Sun StorEdge A5000 array (14 slot)
                       Sun StorEdge A5200 array (22 slot)
                       Sun StorEdge A3500-FC array 
                       Sun StorEdge T3 array (F/W 1.17 or greater)
                       Sun StorEdge T3+ array (F/W 2.0 or greater)
		       Sun StorEdge 6120 array
                       Sun StorEdge FC Tape 
                       Sun V880 
                       Sun StorEdge D2 
                       Sun Internal Fibre Channel Disks (E3500) 
		       Sun StorEdge 3510 FC Array
                       Sun StorEdge 3310 Array 

SAN                  : Sun StorEdge Network FC Switch-8 and Switch-16.
                       Sun StorEdge Network 2 Gb FC Switch-8, Switch-16 
                       and Switch-64.
                       Brocade Silkworm 2400/2800 FC Switch
                       Brocade Silkworm 3200/3800/12000 FC Switch
                       Brocade 3900 32 Port FC Switch
		       McData ED6064 FC Switch
		       McData ES3232 FC Switch
                       McData 4500 2GB 24 Port FC Switch


Host Bus Adpaters    : Sun StorEdge PCI FC-100 Host Adapter 
                       Sun StorEdge SBus FC-100 Host Adapter 
                       Sun StorEdge PCI Dual Fibre Channel Host Adapter 
                       Sun StorEdge 2 Gb FC PCI Single Channel Network Adapter
                       Sun StorEdge 2 Gb FC PCI Dual Channel Network Adapter
                       Sun StorEdge 2 Gb FC cPCI Dual Channel Network Adapter  

Operating Systems    : Solaris 9
                       Solaris 8 4/01 or greater.
                       Solaris 7 (SAN Topology and Diagnostic features disabled)
                       Solaris 2.6 (SAN Topology and Diagnostic features disabled)
		       Solaris 2.5.1 is NOT supported


Browsers:            : Netscape 4.76, 6.x, 7.x, IE 5.x, 6.x

Perl                 : 5.005 or better is mandatory.  Use the following URL
                       to acquire the proper version if necessary.
                       http://www.perl.com/pub/language/info/software.html

                       If the proper version does in fact already exist,
                       create a symbolic link of the executable to
                       /usr/bin/perl.


FEATURES
========

o Collects and reports information about Sun StorEdge devices. Type of
  information reported on includes device configuration, device statistics,
  device state and availability, device message-log information, and 
  system configuration.

o Incorporates a graphical user view of FC StorEdge devices and the 
  interconnects.

o Contains an event grid that provides recommended service actions for
  each event.

o Creates a model of the device and its components, storing state 
  information about that device and saving log information. 

o Contains revision checking functionality of Fiber Channel devices.


INSTALLATION INSTRUCTIONS
=========================

o You must be superuser to install this package.

o Sun Download Center

  # su
  # cd /tmp

    download compressed tar image to /tmp

  # uncompress SUNWstade.tar.Z
  # tar xvf /tmp/SUNWstade.tar
  # pkgadd -d .
    .
    .
    .

o Installation CD 

  # su
  # cd /cdrom/cdrom0/product/packages
  # pkgadd -d .

o Locate potential patch(es) on sunsolve and download/install.

o After the package and patch(es) are completely installed, execute the program 
  "/opt/SUNWstade/bin/ras_install" to install the Agent service and cron. 

  # /opt/SUNWstade/bin/ras_install -h
  # /opt/SUNWstade/bin/ras_install 

o After installing, set the environment 
  variables PATH and MANPATH to include the
  directories "/opt/SUNWstade/bin" and "/opt/SUNWstade/man". 

  # man ras_install

o Review the User's Guide which applies to your locale

o Following the ras_install procedure, connect to the 
  system using a supported browser using port 7654.  
  (ie. http://{hostname}:7654)

o Default login as user "ras" with the password "agent". The default
  ras password can be changed under Admin->System Utilities->Root
  Password.  Additional user's can also be added under Admin->System
  Utilities->Login/Roles.
  
o Follow the "Basic Installation Steps" or Select "Basic Steps in Popup" 
  from the Master's Home Page. Complete all required steps.

o Revision Checking should be run before creating a topology.
  Updating all firmware and software components to the current revisions,
  ensures that the devices have the capabilities required to be 
  discovered, monitored and diagnosed properly.

  

PRODUCT HINTS
=============
o If you previously had JNI HBA cards installed with the base version of
  StorADE (2.2.00.03), you will need to run topology discovery again in 
  order for this patch to see the JNI HBA cards.

o StorADE is a device monitoring tool that probes devices on the ethernet
  and for direct attached storage devices, accesses the device on the
  datapath (Fibre Channel).
  ***************************************************************************
  ***************************************************************************
  For most storage arrays, it is important to queiesce any and all monitoring
  during upgrade operations.  
  ***************************************************************************
  ***************************************************************************

  Use the following information that best suits
  this site for stopping StorADE from monitoring:

  Stopping StorADE
  ----------------
  There are several ways to accomplish the task of stopping the StorADE 
  monitoring agents from probing a storage array during an upgrade.
  
  One way would be to disable the specific agent from executing.  This would
  allow for the continuing of the monitoring of other types of devices.
  
    Disabling the Agent
    -------------------
      GUI
      ---
        Select General Maintenance -> Maintain Hosts -> host_name
        Deselect the Device as a Category to monitor -> Submit
        
      CLI
      ---
        There is no cli command in 2.0 to directly affect individual 
        categories to monitor.
        
  The most efficient way to stop StorADE from monitoring entirely would
  be to set the stop bit or stop the cron from executing.
  
    Disabling StorADE
    -----------------
      GUI
      ---
        Select General Maintenance -> Stop Agents -> Stop -> Submit
  
      CLI
      ---
        Execute ras_install and select "P" to postpone the execution of
        rasagent from cron.  This will remove the cron entry that starts
        the agent every 5 minutes.
        
        NOTE: This will not immediately stop any existing execution of
        the StorADE agent.  Use the 'ps` command to ensure all storade 
        activity has ended.

                 `ps -ef | grep ras'

 

o If a Sun StorEdge 3510 FC array was already discovered before applying this 
  patch, the user will need to delete this device, rediscover the device and 
  create a new topology snapshot after applying this patch.

o With old Brocade switch firmware, Storade's use of SNMP may trigger 
  a memory leak in the Brocade firmware, causing a reboot.
  See BugID:  4819138

o You should be familiar with UNIX commands and Sun's disk array 
  products before attempting to use this product. 

o System administrators should know about security risks associated with
  installing a web server. Take the appropriate action to protect access
  to the SUNWstade port 7654.

o Solaris 8 users need to install the SUNWsan pkg and patch 111413-05 or 
  newer.

o All communicating Master and Slave Agents MUST be executing the 
  same version and patch level of Sun's Storage Automated Diagnostic 
  Environment.  
  
o Storage Automated Diagnostic Environment 2.2 or better 
  superceeds prior versions and the Sun StorEdge 
  SUNWrasag (Network StorEdge Agent) and SUNWvtsst (StorTools) packages. 
  These packages should be removed.

o An upgrade from an existing version of SUNWstade 2.1 (Storage Automated 
  Environment 2.1 ) will retain all existing configuration and data files.
  Do NOT remove /var/opt/SUNWstade/
 
  # patchrm 112580-XX ( if installed )
  # pkgrm SUNWstade

o If upgrading from SUNWstade 2.0, you must remove the /var/opt/SUNWstade
  directory after pkgrm of SUNWstade 2.0.

o Must use "/opt/SUNWstade" as the package base directory.

o When installing a new patch to SUNWstade: 
  stop the agents before installing the update
  and execute the /opt/SUNWstade/bin/ras_install program
  after installing the update

o For Sun StorEdge(TM) T3 and Sun StorEdge(TM) Network FC Switch-8 
  Switch-16 connected in a non-Solaris environment, the package must be
  installed on a Solaris server and configured to monitor the devices 
  through the management path.  

o If there are existing problems with a storage device when the package 
  is installed, these problems may not be detected or reported.  
  They will, however, generate an event (type of event is based on the 
  type of failure) when the error condition is corrected.  

o Brocade FC Switch configurations using segmented loop 
  (SL) zones can be monitored and diagnosed but the topology 
  views will not show connections between devices.

o switchtest and linktest may not provide diagnostics for 
  fibre channel links between downrev'd HBAs and/or downrev'd switches 
  as well as fibre channel links between switches and virtualization 
  engines (VE). This is a result of the current lack of support for the 
  fabric ECHO test command in these products. 

o Some browsers such as Netscape 7 will prompt for a username/password
  when applets are loaded.  Enter the same username/password which was
  used to initially log in.

o When using Netscape 6.2.1 with SSL enabled the user MUST point
  the browser to https://hostname w/o the port #.

o When using Netscape 4.79 the following error may occur if 
  seperate browser sessions are initiated from the command line. 

  #error The certificate issuer for this server is not recongized by Netscape. 
  The security certificate may or may not valid.
  Netscape refuses to connect to this server (-8179) java40.tar/ifc11.jar
  java.lang.SecurityExcpetion: system classes not signed

  exit Netscape (close all windows)

  Solaris:
  cd .netscape
  mv key3.db key3.bad
  mv cert7.db cert7.bad
  restart Netscape

  Windows:
  C:/Program Files/Netscape/Users/username/
  rename key3.db key3.bad
  rename cert7.db cert7.bad

o Creation of /etc/deviceIP.conf file may be utilized for discovery
  of all StorADE supported FC devices that have ethernet connectivity.
  In order to discover 3310/3510 devices with this method, you must put the      
  device type in the deviceIP.conf file (because they don't support SNMP).       
  Example:

  # device_ip  device_name [device_type]  # comments
  # The device_type is optional but required for devices that do not support 
     snmp
  # like the 3310/3510 devices.
  10.0.0.1 t3-1a
  10.0.0.2 minnow1  3310
  10.0.0.3 indy1    se

o Subnet discovery is the preferred method of discovery. This will discover
  all devices that support SNMP. NOTE: 3310/3510 do not support SNMP, use
  the /etc/deviceIP.conf to discover these devices.

o When removing patches, turn off the monitoring of all devices under:

  Administration -> Maintain Hosts 

  before removing a patch.
  Turn the monitoring back on after the patch has been removed.


2.2 CHANGES AND ENHANCEMENTS
============================

o  Added monitoring support for McData ED6064 and ES3232 FC switches
o  Added HUB support
o  Added support for 2Gb T9840B Tape Drive
o  Support 3900SL/6900SL
o  Support StorEdge 6120
o  Support StorEdge 6320
o  Support StorEdge 3510 FC array

2.1 CHANGES AND ENHANCEMENTS
============================

o  Added notification provider for SunMC
o  Support Internal FC disks 
o  Support V880 Disk Array
o  Support D2
o  Support Sun StorEdge(TM) Network FC 2 GB-8/16/64
o  Support Brocade Silkworm Fibre Channel Switch
o  Support Brocade Silkworm 2GB Fibre Channel Switches
o  Support 3900SL/6900SL
o  Support Solaris 9
o  Added link and launch interface for management applications
o  Added CLI stresstest 
o  Added CLI interfaces
o  Improved User Interface
o  Added revision checking matrix 3.13
o  Add SSL
o  Support Netscape 6
o  Support IE 5.0
o  Miscellaneous additions and bug fixes
o  Documentation updates
o  Improved online help
o  I18N ready
o  L10N ready



EXTERNAL PRODUCTS AND PACKAGES
==============================
o SunMC - Storage Automated Diagnostic Environment is capable of sending alerts 
to the Sun Management Center (SunMC). Two packages must be installed for this 
functionality.  These packages are installed using the pkgadd(1) utility and
are located in the /System/SunMC directory of the Storage Automated Diagnostic
Environemnt base directory.


  o SUNWesraa - This SunMC Module package is designed for the SunMC agent
    environment and must be installed on a host that has the SunMC agent 
    running on it. This may or may not be the Storage Automated Diagnostic 
    Environment host. This module module receives data from the Storage 
    Automated Diagnostic Environment and forwards it to the SunMC server. 
    The host IP address for the server containing the SunMC server must be
    provided in the Providers page.

  o SUNWesras - This SunMC Module package is designed for the SunMC server
    environment and is optionally installed on the SunMC server host.
    When installed, this package adds the ability for "Group Operations".
    The package is installed using the standard Solaris pkgadd(1) utility.
 
  The following process is recommended in order to install and activate SunMC
  for Storage Automated Diagnostic Environment and assumes that the SunMC 
  application is running.

  (a) Install the SunMC agent on the selected host. It is recommended that this
      also be the Storage Automated Diagnostic Environment station.  If StorADE
      slave agents are used, this package should be installed on the StorADE
      host which is configured as the master agent.  Refer to the appropriate
      SunMC documentation for additional information.
   
  (b) Install the module package SUNWesraa on the same machine identified in 
      step (a).

  (c) Use the SunMC command/console to start the SunMC agent and load the module
      called "rasagent". While the module is loaded you will be required to
      provide the IP address of the Storage Automated Diagnostic Environment
      management station in the "Provider IP Address" field.
      
  (d) In Storage Automated Diagnostic Environment, add the IP address of the 
      SunMC "Server".  The "Port" used is normally 18055 and the "Resource" can 
      be anything.

  (e) If user wants to perform the "Group Operation" in SunMC, he should install 
      the module package SUNWesras on the SunMC server host. 

Once activated the SunMC module will receive information on what devices are
being monitored and will display alarms in the SunMC.  If further information 
is required for the alarms, log into the instance of Storage Automated 
Diagnostic Environment to view alert details.

RESOLVED PROBLEMS with patch 114590-13
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4889533 link counters appear are reporting the same number every time
4890988 the volume name running volverify is not called by correct name in GUI
4891717 mozilla browser does not show fc links in topology
4891823 add the Site Map link to the top of the page so it is always accessible
4907021 patch 114591-14 breaks the Configuration Software GUI link in mozilla browsers
4880136 Storade: NWS_Event:ORA-01000: maximum open cursors exceeded
4857037 Apex: storade_pvr not able to talk to srsproxy
4890106 A5k disks not being discovered
4899595 TEST STOPPER: Apex: storade_pvr registration  messges throwing exceptions on
4875800 Apex: storade_pvr heartbeat not working
4924357 Storade Provider creating multiple entries in Monitored_System table
4925674 esm 2.0 cannot receive events from a solution rack


RESOLVED PROBLEMS with patch 114590-13
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4874625 Note on deviceIP.conf needs updating in Release Notes
4874477 Can't discover 3310 out of band using deviceIP.conf file
4874478 sense-key errors should show up correctly
4874479 t3 logevent generated by a slave shoud be tied to the t3
4874480 Reports should use mailData

4872537 Linktest between jni and tape fails with segmentation fault - core dump
4848577 ras_patchlist and ras_upgrade should be removed from SUNWstade package
4869908 Need to update the callouts for switch2test failure when telnet session is open
4872106 qlogic switch port 1 is failing diagnostics.

4871204 3510 - FRU information missing, chasisis, controller, PS, temp, voltage, battery
4817580 The Audit events sending info to NSCC only contain limited info for 3510.
4866918 3510 events are repeated, actionable alerts received on old
4871185 3510 controller reset does not generate alert
4870627 T3B disk ST336605FSUN36G "No patch available"

4862491 Storade sending actionable events from 3310 after problem is fixed
4866918 3510 events are repeated, actionable alerts received on old
4813507 3510 Event 18.26.66 needs probable causes and recommended actions
4825571 LogEvent.M.power.u2pcu2, event 21.20.91, incorrect recommended action
4850886 3310 event 18.20.90 needs probable cause and recommended actions
4854311 Powering off 1 PS of a 3310 causes 1 generic error message with no PC or RA
4864593 3510 Error 26.20.90 e-mail missing info, pc, ra
4870539 Creation date displayed for Matrix 3.15.001 incorrect, shows 1/6/2003
4870554 Rev check calls out patch 113043-03 for S9, latest on Sunsolve is -04
4870598 matrix update for patch 109962-10 available disktype ST39102FC ...
4870627 T3B disk ST336605FSUN36G "No patch available"
4870763 3510 disk "Unable to check the SEAGATE device, "  disk type ST373307FSUN72G


4839017 Revision Checking displays ERR for Fujitsu drive.
4833870 Need ability to get revisions from JNI card
4853385 url does not give usefull information
4866086 Actionable A5k alert 3.5.13 for a spun down drive needs PC and RA
4868384 6120-loop diag failure doesn't provide and recommended actions
4868564 volume verification status under device summary does not have a completed status
4868569 there is no error indication from a failure with emailing using the SMTP library
4868937 Path to Email Program field in Config Option has no functional value if entered
4868941 the selection for activating vol verify is not very clear
4869099 patch matrix has downrev patchid for 113722 (current = -02)
4869180 the home page of the GUI indicates VolVerify:ON even though no DAY/TIME selected
4869822 A3500fctest indicates that it can't find text for message 8063
4870072 jnitest internal loopback test pc and ra should include loopback device
4842973 Qlc switch event 12.5.8 doesn't have any probable causes or recommended actions
4844855 Update recommended actions for switch2 event 12.5.7
4856341 No Probable Causes or Recommended Actions for D2 event 6.5.37 (power)
4856419 D2 event 6.25.18 for re-inserting a disk is not listed in Service Advisor
4856998 ras_install -n shows unreferenced scalar errors
4860385 Host driver patches down rev from sunsolve patchfinder
4867406 4.3.99 event ra should include "Check Ethernet connection"
4868945 add some verbage to the volverify window to slect a day and time is required
4869792 Matrix config-matrix_3.15.001 doesn't list latest available on 2 patches
4870084 JNItest failure should add "Run Linktest" to recommended actions
4855628 6320: Link in topology does not get updated with errors between switch and 6320

4816026 Manage > Service  > Configure Devices does not appear to work
4860116 Array passwords should be encrypted but are shown on Manage-->Array Password
4866729 After discovering 3310, JNI link is reported as SCSI, no link shown to the 3310
4866839 volverify is not starting up with 114590-13c
4822070 add the ability to instruct slaves in parallel to discover devices
4822097 Incorrectly reporting "Number of LUN(s) changed from 16 to 0".
4827582 Loop card box in topology is not red, health shows alert 21.20.91 indicating bad
4832254 storade reports NFS mounted filesystems wrong
4840826 Cannot see or edit script info in e-mail notification after initial setup
4853155 i18n: Manage Volumeverify messages missing and incomplete localizations
4853217 strings are in English on "Notif. Providers" DataHost and SAE pages
4853518 Admin Login/Roles incomplete information
4857000 ras_install -n changes all required fields in site info to NETCONNECT
4857698 there is no event code 13.4.77 called out in the grid files
4861652 kill vol verify on slave cannot be done unless the master has access to the dev
4863175 Can't locate object method "encrypt_email" via package "Email"
4863737 Daisy-chained A5k topology shows 2 devices attached single host port
4863782 Run Vol Verify title missing in Maintain Devices
4864266 M32:Changing array passwd thru StorADE doesn't register the passwd with mgmnt sw
4864946 click link "Merge topo" on online help will open the online TOC page
4866087 patch revs are down rev in matrix for patch 114590-13
4866471 day of the week is not showing up in the GUI under the VolVerify section
4867390 Revision checking not working correctly on dual ported JNI hba
4867538 tag last_email not found! message was seen in an email without explanation
4867549 3310 is showing up as 3510 in GUI and rasagent cli
4868244 Diagnostic test on 2G switch gives error about password
4868248 a3500fctest: could not find text for message 54, 55, 56, 57, 58
4842536 device health pop-up window overwrites old if new master does the pop-up
4862313 Received event 4.3.99, Can't locate Agent/3510.pm from SUNWstads
4863720 ras_admin discover_deviceIP needs line feeds
4864850 FCtapetest status shows "Failed", test output shows "Passed"
4865342 linktest available from monitor topology
4866003 Volslice size diff between 6320 and whats displayed when monitored as a device
4867399 linktest on internal disks Error: Cannot find nodeB in topology. a little vague
4868449 qlogic password not saved when adding manually
4865437 Installing patch overwrites the data entered in the App. Launcher page
4867418 Spelling form/from in Local Notification (Email/Scripts) Turn-Off Event Advisor


4823224 Storade needs consistency in capacity reporting                          
4853063 (maserati) Monitor Device Page has an empty right-hand side              
4855064 event advisor window shows critical messages with error indicator not do 
4855543 A5k actionable event 3.37.13 not listed in Service Advisor               
4855606 Service advisor doesn't list a5k actionable event 3.37.13, No PC or RA   
4856230 Pulled brocade pwr supply results in unlisted event 5.5.97, should be 5. 
4856412 Pulled d2 disk causes actionable alert 6.26.18 which isn't in Service Ad 
4856994 an array_warning log event was emailed with an event code showing ERR.20.104
4858335 D2 event 6.26.18 when a disk is pulled isn't listed in the Service Advisor
4858541 Mcdata actionable event 17.5.37 is not listed in Service Advisor         
4859184 Actionable VE event 16.12.31 not listed in Service Advisor               
4859227 review config not listing the slave hostname, not indicating need to push slaves
4860653 rasagent does not gather configuration details for 3510                  
4860762 there is no description for volverify pull-down in maintain devices -> d 
4861540 Cannot automatically discover or add a 3310 with patch 114590-13b        
4861654 the status of a slaves devices that have killed vol verify is not updated
4862312 fcdisktest for partition 7 not available                                 
4862506 Storade times out during 3310 sccli show configuration                   
4862556 Error parsing XML in 'show configuration' when running the 3510 agent    
4863801 Sunswitch firmware 40235 no instrumentation report with SunSwitch agent  
4864651 1gb Sun switch with 40235 fw discovered and displayed as a 2gb sun switc 
4718451 Agent reports: ERR  CIM_ER Key field must have value!::                  
4739330 Re-discover button not used consistantly                                 
4750800 Admin > General > Config Options > Production site? is unclear, not documented
4766136 Topology shows tape device after snapshot when tape category is not selected
4774599 Man page for se2_configcheck is not available                            
4785073 Need recommended action/cause for EventType: TopologyEvent.remove.disk_front.3
4787060 Cannot view man pages for t3ofdg in gui                                  
4792771 QuiesceEndEvent and QuiesceEndStart event need clarification in text     
4795561 Agent run with SUNWstads package shows "skipping 3310"                   
4797802 Cannot view the 6120 diagnostic man pages from the gui                   
4801608 T4:Monitor Devices > Device Report does not have links for loop, fc_stats, volum
4801783 Help for Device Report Screen                                            
4806946 config_solution had timout/killing proc error during execution           
4814139 Need to document and add an event for host being monitored by DE1.2      
4814199 Event 18.20.90 doesn't have any probable causes or recommended actions   
4818406 Cannot log out of StorADE GUI                                            
4823915 Description field contains unreferenced numbers in SUNWstads email notification
4824885 No event generated when array is unconfigured in Manage > Service > Conf 
4825502 se2 events 20.37.84 and 20.37.35 for 6320 not listed in service advisor  
4826229 No description available in Service Advisor for 6120 event 21.3.115      
4826235 6120 cache event 21.3.86 not listed in Service Advisor                   
4826338 No e-mail sent after PatchPro uprades an SP                              
4827556 Received event 4.3.99 referring to t3, device is actually a 6120         
4828567 Help Search functionality deficient                                      
4830013 Clear Event Maximums does not work if agent is running.                  
4834067 Configuration Summary does not detect Notif. Providers                   
4836950 fru stat shows no temp on drives and storade says temp is over 68        
4837229 Patch Report Status does not automatically refresh                       
4837948 ras_patchlist does not show any output                                   
4838139 Text formatting not user freindly in Manage > Service > Revision Mainten 
4839103 Help Diagnose>Diagnostic Tests has a misleading label.                   
4840014 Admin > General > Add E-mail notification > Admin Group needs to be docu 
4841739 Reminder e-mails should be sent when agent stops monitoring for disk dow 
4842408 No online or user's guide help for islands.                              
4845647 Island 1 in topology shows 0 devices but shows Master topology when sele 
4849326 E-mailed event doesn't indicate which slave was added to the master host 
4850162 Welcome screen on SUNWstads page indicates 1 6320 and 1 6120 in solution 
4850165 Welcome screen on SUNWstads indicates 3900/6900: 1 6320 in configuration 
4851193 nscc_email provider shows wrong number of events during -d2 execution    
4852572 6120 21.3.56 and t3 event 13.3.56 event/severity should match (time diff 
4853487 Skipping message - have exceeded threshold/time count on rule3 on agent  
4853928 push slave config gives extra(debug) message                             
4854834 Radio buttons within the GUI guide in help are selectable                
4856232 Brocade event 5.4.97 when power supply is re-installed isn't listed in a 
4856576 message that alerts will be cleared is displayed after rasagent -d2 comp
4856993 The -n option for the ras_install command is not documented
4858332 D2 event 6.4.19, (fan state changing from bad to good) isn't in Service
4858547 Mcdata switch event 17.4.37 not listed in Service Advisor
4858655 6320 Rev. Main.:User should not be allowed to select device if there is no patch
4860511 a3500fctest probable cause not listing down rev'd fimware level
4862332 GUI Guide content for General Reports > Temperature Reports & Temp Summa
4862346  Local Notification (Email/Scripts) > Turn Off Event Advisor
4863015 tag getting2 not found! when discovery started
4863072 Clicking on Fru Summary in General > Fru Reports shows info from Detaile
4864714 M32:System edition of StorADE on the SP has references to 'T3's.
4865342 linktest available from monitor topology
4865423 When trying to launch the UI on Indy w/2.1 from 2.2 it fails.
4865427 Monitor Devices: Clicking on link to launch APP not accessible should wa
4727128 Topology layout "Default" should be the default

4842140 Storade should show the list of discovered devices on t3/6120 discovery
4859305 Execution error: Undefined subroutine &GUI::FruReport::frus0&health=1
4859059 Dual connection from host port 0/ 1 to FC-internal disk port 1



4842285 Switchtest2 fails with loopback connector on 64 port Qlogic switch
4851839 /opt/SUNWstade/man/ja is a broken symbolic link.
4854222 Storade 2.2 should not remove the Minnow 33/3510 event log after reading
4800915 After saving layout on topology if I do a new snapshot I lose my saved l
4824219 Storade should have a button to click to see patchpro install report
4833576 Create aggregrated event for disconnected loop interconnect cable.
4833943 Topology does not show any status change after a "partial shutdown" of rack
4837148 Warning message needs to be updated in Manage > Service > Revision Maintenance
4840308 No visual indication in Summary report for disconnected Loop Cable.
4840352 Storade version 2.2.00.03 reports incorrect number of volumes on T3's.
4844920 se_extract should capture SP image info.
4846721 Summary report for host is reporting LUN as T4 lun instead of 6320 lun
4847625 stop updating Vol_Verify Process-Kill Log window once the kills are comp
4847650 "Refreshing Battery" Notice msg in T3logfile is emailed as a Warning n/a
4847651 volume.u2vol1.volOper=verifying should not be a warning
4848075 storade captures controller reset messages returned by logger command
4848615 No entry in service advisor for se event 20.20.308.
4848772 Topology does not show FC errors on links between host and 6320.
4849250 Event 4.3.99 needs to have "check array password" in recommended actions
4851197 sa2.2 cannot associate the history of an array if its IP has been change
4851382 Clearing events while ras is running causes events during that run to be
4852565 After installing patch 114591-11c on a 6320, topology adds SP as a devic
4852602 installing the 114590-11c patch resets my t3 passwords for vol verify
4852718 (maserati) Reports on device health format broken and inconsistent with
4853046 Cannot logout from stroade2
4853526 same test option names exist in Set Defaults menu for different tests
4853634 Storade does not report missing 3510 controller
4854208 Monitoring of 3510 fails to report the secondary ID for channels
4854336 Monitoring of 3510 reports incorrect size for logical drives
4854954 Reports -> Fru Reports -> Fru Summary (Health Concerns) fails to email r
4855467 se_configcheck to a monitored 6910 never updates to done
4855667 Revision checking reports current 3510 level as 3510, not actual 3.27K
4857089 Reports > General > Array performance does not work in SUNWstads package
4859028 add an option to send nscc_email provider with encryption on
4859030 create a new exception report that is customizable by the client
4758543 i18n: "GO" button label is in English
4784978 Storade event not showing up on SUNWmc console
4833021 ras_admin discover_deviceIP outputs HTML tags
4837369 Running ras_patchlist doesn't show the user any information
4840103 9900 not listed in abbreviations, support level not documented
4840106 Async discovery method not documented
4840191 Administration(GUI):System partially shutdown-invalid Overall Health sta
4840366 no translation lables on zh in Adminstration->System Utilities->Erase Ca
4840698 Title bar only shows Root user by Storade level, doesn't show others
4842490 "All" and "Go" not i18ned
4842726 Run Report has "Local" "GO" in English
4850001 The Use NIS password selection in System Utilities needs to be documente
4858405 Default diagnostic Email setting lost
4719849 Usage for ras_discover shows -? for help, comes back with no match
4756697 graphic for e10k is an e4x00
4644252 add the ras_install script to be executed during package/patch postinstall
4818112 summary report on frus should include output for battery status, temp, fans
4849553 increase frequency setting beyond 2 hour limit
4817763 add ability to customize severity for site based alerts
4850166 add the ability to disable the Event Advisor information from local email notif
4851196 Add a report that would indicate a range of temps of all FRU's in a sing



RESOLVED PROBLEMS with patch 114590-11
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4851190 admin groups opens a hole to delete whole config in Maintain Devices
4851314 Cannot add 6910 with SP version 2.3.1 as a monitored device
4815928 disconnected fibre to 3510 not displayed in topology, no alerts listed
4834793 t3 Alarm Event is not consistent.
4838032 Start Devices should be renamed to let users know they can also Stop Dev
4840297 Event Code 21.5.25 icon does not match between heath and Service Advisor
4850042 linktest is broken between switch and 6320.
4803871 EventCode for T4 Lun failover is 7.4.ERR.
4828963 Launch 6320 from Monitor > Devices > SE2 tries to call the same SP via t
4840153 Ran agent and saw the following error: FCRule8: cannot find : in TO
4842170 Browser goes back 1 window when discovering switches from list Async
4847617 the netconnect provider is showing up twice in provider window
4849239 Rev matrix config-matrix_3.15.001 should indicate patch 119115-13 for t3
4849579 Review config report storade version mismatch between slave/master
4850065 Rev checking is listing 3310 fw in the host driver category
4850708 Change "monitored hosts" to "monitoring hosts"
4851913 Linktest between soc/internal disks fail w/INTERNALCan't call method "po
4815522 allow to monitor t3 in parallel to improve frequency
4621527 srs provider is able to be updated with an invalid or empty IP Address f
4845168 Manpage for t3volverify wrong on scale
4848835 Storade gui login problem
4849306 Cannot add 6910 as a monitored device to another host
4847948 Mcdata ports in Monitor > Devices > Reports are labled 0,1,2,3,4,5,2,3,4
4848002 Revision checking indicating uprev for Mcdata 04.01.00 12
4849424 Patch 114590-11a does not have the SUNWesraa package included
4815800 Revision checking indicates x86 patch 103722-01 expected on sparc system
4835253 T3 revision check shows expected patch 109115-12, latsest on sunsolve is
4847088 Update revision matrix to show switch patch 112429-08
4848078 Stopped fan on Mcdata 24 port switch turns power supply box red, fan sho
4848089 McData fan status shows "/"
4849452 Release Notes for 114590-11a indicate 114590-10
4848637 Agent Message has manuall instead of manually
4821013 automate 'merge and push' master topology function
4805470 Request that Storade be able to run a "vol verify" periodically.
4636598 include an ALL button for the Topo Snapshot slave selection window
4822065 add a button to reset the agent statistics
4830480 Manage tab is shown, but not available to use.
4837590 add ability to open a window to only show current status by standard ind
4620330 Add slicd monitoring to VE Health agent
4687804 Topology search needs description on left field
4702440 phonehome has url info for event grid but would be better if actual url
4794896 Column alignment problem.
4818466 STORade 2.1.05.003 revision checking reports incorrect current T3 FW revision.
4826232 No Description available in Service Advisor for 6120 event 21.3.86
4835342 events on t3 should not be actiuonable when somebody is running commands on it
4835980 t3 health check information is not consistent.
4836626 Island numbering is not consistent.
4837264 Need man pages for ras_patchlist, ras_remote, ras_upgrade
4838656 netconnect provider message indicating error with provider but seems to work
4838672 SHUTTLE files renamed before checking size and then not renaming back
4839299 ras_admin discover_solution still looking for Solution.golden
4839091 Storade 2.2 User's Guide points to incorrect array manual for setup instructions
4840031 Text and Help in Admin > Config Options needs updating for E-mail options
4840041 Help and user guide need to be updated for Admin > Topology Maintenance
4840066 Reports > Array Performance needs to be documented
4840120 Run vol verify continuously in Maintain Devices needs to be documented
4835297 Storade reports vol sizes different from Maserati UI or telnet session
4840360 no encoding in pop windows when click "Basic Steps in popup" in main menu on zh
4840466 agent deinstall event does not show which host was actually deleted
4840833 no translation for "Print" button label on zh in "Test from topo"
4840841 User can select and start linktest to scsi 3310
4841976 Table heading and pull down list in English
4842182 Report on 64 port Qlogic switch shows 13 Blades with their revs, there's only 10
4842205 cannot add slave manually from master
4842220 Linktest should stop when it sees port is configured offline
4842300 StorAde is indicating ComponentRemove event when fields go to null.
4842308 Main UI has untranslated text
4842333 Device Health Summary>Devices, Summary Report not i18ned
4842350 miss translation for "Admin Groups" and All on zh in MaintainHosts page
4842342 miss translation for "Category" on zh on Main Page
4842441 Correction required in Release Notes.
4842477 "Admin Group:" not i18ned.
4842505 Sun T3 Discovery is not i18ned.
4842552 Local Emails/Scripts has English UI text
4842567 Maintain Devices contains En UI button and list.
4842612 Config Options has En UI text.
4842626 Grouping has Englis UI Text.
4842700 Monitor Devices "All" "GO" button
4842709 Monitor Topology "Filter" "Go" "Print"
4842719 Event Log Event Type not i18ned.
4842734 Revision History: "(history)" and "Delete" not i18ned.
4842735 Diagnostic Utilities: "GO" not i18ned.
4842778 Fru Report: Table headings and values not i18ned
4842781 Fru Report History: buttons and table heading not I18ned
4842782 Event Report: UI labels not i18ned.
4842783 Array Performance: Labels, Pulldown list and buttons not i18ned.
4842786 Help: Labels and button in English
4842500 Sun 6120 Discovery is not i18ned.
4841962 Labels appears in English.
4842698 Login/Roles has "All" in English.
4844835 Monitoring frequency is reset to 5 min after installing patch 114590-10c
4840109 Stoplight displayed after clicking the Sun logo not documented
4846321 Vol verify runs on same volume if parallel monitoring turned on
4846039 Revis. Checking Report is outdated with expected version T3+ System FW as 020101
4847153 Storade 2.2 producing messages on non-existent volumes.




RESOLVED PROBLEMS with patch 114590-10
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4845168 Manpage for t3volverify wrong on scale
4848835 Storade gui login problem
4849306 Cannot add 6910 as a monitored device to another host
4847948 Mcdata ports in Monitor > Devices > Reports are labled 0,1,2,3,4,5,2,3,4
4848002 Revision checking indicating uprev for Mcdata 04.01.00 12
4849424 Patch 114590-11a does not have the SUNWesraa package included
4815800 Revision checking indicates x86 patch 103722-01 expected on sparc system
4835253 T3 revision check shows expected patch 109115-12, latsest on sunsolve is
4847088 Update revision matrix to show switch patch 112429-08
4848078 Stopped fan on Mcdata 24 port switch turns power supply box red, fan sho
4848089 McData fan status shows "/"
4849452 Release Notes for 114590-11a indicate 114590-10
4848637 Agent Message has manuall instead of manually
4821013 automate 'merge and push' master topology function
4805470 Request that Storade be able to run a "vol verify" periodically.
4636598 include an ALL button for the Topo Snapshot slave selection window
4822065 add a button to reset the agent statistics
4830480 Manage tab is shown, but not available to use.
4837590 add ability to open a window to only show current status by standard ind

4842940 Switchtest2 should indicate temp problems like it does for power
4843363 the harcoded vol verify rate should be changed from 8 to 1
4843359 change the Verify to Fix by default and make Verify selectable
4843317 vol verify in Manage Tab for non sol8 systems is greyed out
4843346 there is no way to kill the vol verify process from the gui
4843545 add the ability to select the rate at which a vol verify should be run at
4843544 add a time interval to be able to specify "when" vol verify should be run
4840848 toC information contains nothing about u3 and u4 FRU's from a 6120
4842928 Temperature box in topology for qlc64 port sw doesn't turn red when overheated
4822919 M26: unable to access all Islands under Monitor -> Monitor Topology
4806641 Monitor -> Monitor Devices: Graph link does not display Graph Summary

4841467 Run continuous vol verify shows "Default" instead of actual setting
4817527 revision matrix was must reflect the released version of T4 fmwr
4840724 Cannot discover t3/6120 unless ip is in /etc/deviceip.conf
4840035 Release Notes for patches 114591-10a and 114590-10a repeat themselves
4814064 Cant discover slave 6120 devices, have to install host as master 1st
4821452 M25: Discovery of T3/T3B does not work - results in No response from host
4818080 disable the function ChangeT3Passwords if the system is not a solution

4687753 The online help popup does not match the StorADE 2.1 layout
4687779 ras_install should include "?" help and display options selected (verbose)
4714183 Request for CLI command to generate a textual representation of SAN toplogy
4712966 T3 disk port bypass status is displayed as both critical (red) and alert (yellow
4723680 Event grid has no entry for the category of San, LinkEvent.SIG.ve|switch
4728483 Severity in e-mail for lost comm on tape drv doesn't match eventgrid severity
4763382 i18n: the Architecture page as well as the mouse over messages are in English
4768831 Update aggregated message when a single t3 brick is discovered
4769519 i18n: English table names/headings/labels on 'Update All Hosts', 'Discovery : Su
4770698 i18n: "HTTP/1.00 200 OK Content-type: text/html" appears on some page
4771139 Man page for config_solution in SUNWstads pkg needs to updated with 6320 info
4771253 zh locale: all button labels/table name & headings on Run Report are in English
4773822 Docs need to be updated to reflect the current way "Logout" works
4773462 i18n: In non-english locale "run agent" will continue to refresh the screen afte
4774819 i18n: the default user ras can only log in and change Root password in English U
4770046 i18n: the topoHelp.gif file may need to be localized
4775770 i18n: Html comment appears in help page..
4781290 Need minor updates for improved 508 compliance
4761515 References to non relevant device/host names in event grid
4788597 T3 "Key" Field needs explanation under maintain devices.
4792467 The certified SunMC(SUNWeras) package should be included with SA 2.2
4800898 Remove the "Filter" box in the SUNWstads topology windows
4801872 Help for Display History Screen
4802350 Basic Installation popup is not sized correctly
4796462 Topology displayed when first entering diags from topo is not the saved one's
4803834 Help for Discovery Screen
4806379 Monitor > Monitor Log > Agent Errors does not show correct info
4806386 Monitor > Devices > Graph doesn't match what is in documentation
4809344 Loop cable being disconnected should be an actionable event (21.5.25)
4812655 StorADE is reporting a NWS_System.Caption value of A5K for V880
4813317 testt3 in /opt/SUNWstade/bin does not work anymore
4813483 help -> abbreviations does not mention minnow
4813511 3510 event 18.26.66 should be actionable
4816645 Admin > System Utilities > Run Scripts needs updating in SUNWstade
4816735 Add 6120 to Admin > Sys Utilities > Run Scripts
4817575 All 3510 Events are being specified as 3310 events
4817772 local notify function requires valid email when scripting
4817769 add missing fields to script options in local notification
4818085 disable "Run Scripts" -> "Create SE-Series snapshot" if not a solution
4818106 code 13.5.37 for t3 batstate does not exist where a code of 13.5.38 does
4818126 Linktest indicates that it cant run on 3310 when device is a 3510
4818120 event reports with an empty email address still says "Email Sent!" w/no error
4818158 email config function does not include the devices
4818349 Misspelled word in Run Report description
4818770 Topology not drawing link between hba and 3310
4818784 the event grid form should split 3310 and 3510 as two different selections
4818963 Inventory.golden identifies PSX-1000 as VICOM, has wrong WWN and serial number
4819036 StorADE advisor did not report error as actionable nor did it advise.
4816982 Monitor Topology incorrectly shows CacheMode as writeThrough on 6120.
4819090 no longer generate actionable event on sense key 0x1 unless asc=0x5d
4818046 debug/http code showing up in 2.2.00.03 on 1st page of config 3900/6900
4819823 On 6120, actionable event 21.5.38, fruPowerBatState is [Undefined]
4819840 3310 event 18.12.31 is not listed in the Service Advisor, No PC or RA
4819800 3510 is not selected by default in Maintain Hosts, all other categories are
4818067 email notification shows a 91:Actionable in the viewing page if sev selected
4812692 add logic to recognize the Notice message about a disk download command in log
4820483 disk states from fault-disabled to fault-substituted are not actionable
4821241 Launching 6320 from Monitor Devices brings up a blank browser window
4821564 Linktest between t3 and hba doesn't isolate to disabled t3 controller
4821422 M25: Sun 2G 8-port switch listed as type Switch1
4822004 Info for initial aggregated event stuck to the last event
4821291 6120 event 21.5.38 should include "check airflow" in recommended actions
4818129 the note about no verification during clear cache should be bright red
4822186 Remove "Update All Hosts" from Maintain Hosts in SUNWstads
4822086 Health view shows red alert but service advisor shows yellow for same fault.
4822286 Storade 2.2 - Monitoring State off is not reflected in Maintain Device
4822264 StorADE Monitor Topology inccorrectly reports u1 as red
4822871 SUNWstads, Manage > Revision Setup > Copy CD, incorrectly indicates "Copying"
4823084 Need ability to clear alerts via CLI
4824232 Manage > Revision Maintenance, window does not automatically refresh
4824530 Monitor severity is not consistent.
4824321 There is a space in the word disk in report for 6120 disks
4825015 FC link error between T4 and Host does not highlight link in topology
4825083 Inadequate ether message.
4824281 6120: Email event is indicating wrong controller of T4.
4825614 StorAde is not sending topology to the nscc
4825722 Linktest does not run between switch and 3510
4826164 Storade calls optimal condition on A3500FC Warning Actionable
4826318 StorADE is indicating changing from WriteThrough to WriteBehind as an Error
4827268 ERR :Cannot find the Master location, aborting!
4827341 storade 2.2 RN mentions 3510 docs but not support for 3510
4827350 service advisor does not match pdf file (ex missing 3510)
4827359 Link Errors do not have Event Codes.
4827405 StorADE is not detecting the CRC counters incrementing on HBAs
4828252 StorAde Web front end does not work through web proxies
4829463 2002, 2003 should be displayed in all copyrights online and hardcopy
4829825 StorADE monitor devices of T4 report wrong info. Vendor/ Model of midplane:
4833374 Revisions of 6120 fw expected in 114285-03 are displayed as uprev
4833376 No category to select 3310 in revision checking
4832022 M27: slave hosts are always tied to the same master host
4837263 Online help is not accurate.
4813497 Received message indicating Cron process hung, but the system isn't identified

RESOLVED PROBLEMS with patch 114590-04
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4831910 6120-loop test on SP shows Multiple hosts to run from
4825107 M26: StorADE loop test fails from SP
4831483 Agent crashes due to missing loopinf.htm file on T3's
4825068 6120:Loopback test does not work with loopback connector installed.
4812891 T4 linktest calls out T3B in interactive text message.
4822908 6120:When linktest isolates to 6120; SA should take extra step to replace SFP



RESOLVED PROBLEMS with patch 114590-03
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4825440 StorADE not properly setting PatchPRO proxy host
4827716 M27: README.114590-02 mentions only Solaris 8

RESOLVED PROBLEMS with patch 114590-02
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4818264 host.grid has no similar event information for code 13.20.104 as per t3.grid
4818902 event codes 21.20.108 and 21.20.109 do not exist in 6120.grid
4818903 event codes 7.20.38, 7.20.108 and 7.20.109 do not exist in host.grid
4819795 User Guides for SUNWstade and SUNWstads need updating
4809248 Event 21.3.94 has no Possible Causes or Recommended Actions
4809251 Format of 6120 event 21.20.104 not the same as others, PC and RA need updating
4809260 No Possible Cause or Recommended Action for event 21.3.77
4809267 Event 21.20.91 has incorrect Possible Causes and Recommended Actions
4811826 Information and Probable Cause for Switch event 12.3.47 are truncated
4815172 Warning states "ITW", info says "CRC" link error
4815896 3510 event 18.26.13 needs more info in recommended action, has no Possible Cause
4818785 3310 event 18.12.21 incorrectly instructs user to run a luxadm command
4810597 Event 21.20.103 has a mis-placed space in the Recommended Action
4819814 changing batstate state from fault to unknown should not be actionable
4819821 a battstate change from refreshing to fault should not be actionable
4818561 M25: the Launch Sun 6320 link in the SUNWstade version points to wrong URL
4821501 Linktest does not run correctly between ifp and a failing a5k
4822904 6120:Linktest tests primary controller instead of alternate controller
4817527 revision matrix was must reflect the released version of T4 fmwr
4822190 M26: 6320s shows incorrect monitor host under Monitor -> Monitor Devices
4822134 M26: Revision Checking reports 6320 LUNs under A5k_DISK_FW with ERR status
4823166 Revision Checking Report displays ERR for drive type ST336752FSUN
4823450 Linktest doesn't isolate to bad cable between 1gb switch and t3
4824414 User Roles are added if incorrect user/pwd combination used to try to login
4823488 Linktest does not isolate bad cable between switch and a5k
4825057 3510 not displayed correctly, shows 2 devices to a single hba port


RESOLVED PROBLEMS with patch 114590-01
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
4814064 Cant discover slave 6120 devices, have to install host as master 1st
4814144 Need to capability for revision checking to check 33/35xx devices
4815009 event grid code 21.5.37 does not exist in 6120.grid
4816564 Storade not monitoring 33/3510 out of band status


KNOWN, UNRESOLVED PROBLEMS
==========================
o 4812682 add logic to recognize an upgrade process and consequently block
          access
  Be sure to disable StorADE from monitoring while upgrading T3 disk firmware.

4825088	6120:Loopback test does not work with loopback connector installed
        Until this bug is fixed by the array firmware, StorADE will indicate
	that the array is bad, even though it may be okay.


2.2 Patch MEDIA CONTENTS
========================
See README file

